Rensei docs

Add a credential to a set under an env-var name (org admin).

Add a credential to a set under an env-var name (org admin). - Rensei REST API operation reference.

POST
/api/org/{orgId}/credential-sets/{setId}/members

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

orgId*string

Organization id (must match the authenticated org).

setId*string

Credential set id (cset_*).

Request Body

application/json
  1. body
credentialId*string

Credential id in this org (must be live).

Length1 <= length
envVarName*string

Env-var name dispatch exposes this credential as.

Match^[A-Za-z_][A-Za-z0-9_]*$
Length1 <= length

Response Body

Member added (or repointed).

application/json
  1. response
ok*boolean
Example Request
curl -X POST 'https://app.rensei.ai/api/org/string/credential-sets/string/members' \  -H 'Content-Type: application/json' \  -d '{  "credentialId": "string",  "envVarName": "string"}'
Example Response
{  "ok": true}